Constant
Contact
API Guide

Get All Registration Details for an Event

To get all registration details for a specific event, make a GET call to the /events/{event_id}/tracks/{tracks_id}/registrations endpoint and specify the following parameters:

  • event_id: (path, string) Required. The ID that uniquely identifies the event. Example: 1697732a-8664-4675-8415-c4aabaa17dae.

  • track_id: (path, string) Required. The track key that uniquely identifies the event track. Example: s8zabc.

  • registration_status: (query, string) Use to filter registration results by status. Example REGISTERED.

    • PENDING
    • REGISTERED
    • CANCELED
    • EXPIRED
    • IN_PROGRESS
    • FAILED
  • payment_status: (query, string) Use to filter registration results by payment status. Example: PAID.

    • PENDING
    • PAID
    • REFUNDED
    • CANCELLED
    • FAILED
    • CHARGED_BACK
  • search_text: (query, string) Use to filter registration results by first name, last name, or email address. Example: john.doe@example.com.

  • sort_by: (query, string) Use to specify the field to use to sort the results. Example: email_address.

    • first_name
    • last_name
    • email_address
    • registration_status
    • payment_status
    • tickets
    • total
  • sort_order: (query, string) Use to specify how you want the results sorted. Example: ASC.

    • ASC
    • DESC
  • page_size: (query, string) Alternative to the limit parameter. Use to limit the number of results returned per page. If specifying both the limit and page_size query parameters, both must be the same value. Example: 50.

  • limit: (query, string) Use to limit the number of results returned per page. If specifying both the limit and page_size query parameters, both must be the same value. Example: 50.

Example Request

GET
https://api.cc.email/v3/events/{event_id}/tracks/{track_key}/registrations/{registration_id}

Endpoint Requirements

User privileges: campaigns:readAuthorization scopes: campaigns_data
OkHttpClient client = new OkHttpClient().newBuilder()
        .build();
MediaType mediaType = MediaType.parse("text/plain");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
        .url("https://api.cc.email/v3/events/0a62710-36c3-47c9-aeb0-9e72c8e0b38d/tracks/xfhmkv/registrations/")
        .method("GET", body)
        .addHeader("Authorization", "......")
        .build();
Response response = client.newCall(request).execute();

Example Response

The following response returns details for 2 registration records.

{
  "records": [
    {
      "registration_id": "3f1ceb43-f858-432e-b287-30a6d20d1250",
      "track_key": "xfhmkv",
      "first_name": "Sarah",
      "last_name": "Kind",
      "email_address": "sarah.kind@constantcontact.com",
      "registration_status": "REGISTERED",
      "payment_status": "Paid",
      "checkin_status": null,
      "eligible_checkin_tickets": 0,
      "checkedIn_tickets": 0,
      "new_contact": false,
      "registration_time": "2025-08-29T14:29:48.424Z",
      "tickets": 1,
      "total": 25.00
    },
    {
      "registration_id": "3cd4546a-04f2-464d-8a86-e0f7ec9c3221",
      "track_key": "xfhmkv",
      "first_name": "Larry",
      "last_name": "Kind",
      "email_address": "larry.kind@constantcontact.com",
      "registration_status": "REGISTERED",
      "payment_status": "Paid",
      "checkin_status": null,
      "eligible_checkin_tickets": 0,
      "checkedIn_tickets": 0,
      "new_contact": false,
      "registration_time": "2025-08-26T19:31:32.112Z",
      "tickets": 1,
      "total": 45.00
    }
  ],
  "next_cursor": null,
  "prev_cursor": null,
  "_links": null,
  "total_records": 2
}

Learn more about Registration schema.

Try it!
Tagsevents

On this page